# -*- encoding: utf-8 -*-
# stub: puppet-lint-wmf_styleguide-check 1.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "puppet-lint-wmf_styleguide-check".freeze
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Giuseppe Lavagetto".freeze]
  s.date = "2021-02-15"
  s.description = "    A puppet-lint plugin to check that the code adheres to the WMF coding guidelines:\n\n    * Check for hiera in non-profiles, and in the body of those\n    * Check for roles with declared resources that are not profiles\n    * Check for parametrized roles\n    * Check for node declarations not using the role keyword\n    * Check for system::role calls outside of roles\n    * Check for cross-module class inclusion\n    * Check for the use of the include keyword in profiles\n    * Check for wmf-deprecated resources usage\n    * Check for deprecated validate_* functions\n".freeze
  s.email = "lavagetto@gmail.com".freeze
  s.homepage = "https://github.com/lavagetto/puppet-lint-wmf_styleguide-check".freeze
  s.licenses = ["GPL-3.0".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A puppet-lint plugin to check code adheres to the WMF coding guidelines".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<puppet-lint>.freeze, ["~> 2.4.0"])
    s.add_development_dependency(%q<git>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<rspec-its>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rspec-collection_matchers>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.49.1"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.17.1"])
  else
    s.add_dependency(%q<puppet-lint>.freeze, ["~> 2.4.0"])
    s.add_dependency(%q<git>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rspec-its>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rspec-collection_matchers>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.49.1"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.17.1"])
  end
end
